# NOAA GOES-East (GOES-16) archive downloader

This script is known to work with Python `3.12`  
This script requires `curl` to work, and `ffmpeg` to animate the downloaded images


For information, run:  

```
$ python downloader.py -h
usage: downloader.py [-h] [--directory DIRECTORY] [--size SIZE] [--animate ANIMATE] [--framerate FRAMERATE] [--compress-size COMPRESS_SIZE] [--codec CODEC] day

positional arguments:
  day                   Day of the year. From 1 to 366

options:
  -h, --help            show this help message and exit
  --directory DIRECTORY
                        Output directory for the images
  --size SIZE           Image size to download, defaults to 1808x1808. Available options: 339x339, 678x678, 1808x1808, 5424x5424, 10848x10848, 21696x21696
  --animate ANIMATE     Animate the download images. Available options: fullsize, compressed, ad-fullsize, ad-compressed
  --framerate FRAMERATE
                        Framerate of the animation from the downloaded images, in frames per second, defaults to 8
  --compress-size COMPRESS_SIZE
                        Resolution of the compressed video, defaults to 540x540
  --codec CODEC         Defines the ffmpeg codec to be used. Defaults to libx264. To see available codecs for ffmpeg run "ffmpeg -codecs"
```
